import { ObjectLiteralElementLike } from 'typescript';
import { FieldConfigMetadata, GenericDataModel } from '@aws-amplify/codegen-ui';
/**
 * builds modelFields object which is used to validate, onSubmit, onSuccess/onError
 * the nameOverrides will swap in a different expression instead of the name of the state when building the object
 *
 * ex.  [name, content, updatedAt]
 *
 * const modelFields = {
 *   name,
 *   content,
 *   updatedAt
 * };
 * @param fieldConfigs
 * @returns
 */
export declare const buildModelFieldObject: (shouldBeConst: boolean, fieldConfigs?: Record<string, FieldConfigMetadata>, models?: Record<string, GenericDataModel>, nameOverrides?: Record<string, ObjectLiteralElementLike>, isRenderingGraphQL?: boolean) => import("typescript").VariableStatement;
